/*
Stallation version 0.7  (2000-06-28)

Written by Peter Folk <pfolk@uni.uiuc.edu>

The contents of this file are in the public domain, but
the author would appreciate it if any useful changes or
corrections were communicated back to him, for inclusion
in a future version.
*/
#ifndef GARGOYLE_STALL_ADDON_H
#define GARGOYLE_STALL_ADDON_H

#include <be/storage/Entry.h>

/* Return B_OK if you handle this type of file and were able to
   expand it, or B_ERROR if you don't handle it.  Other returns
   will indicate that you handle the file (and thus no others
   will be tried) but expanding it failed.

   You should set *dest to the directory that it was expanded
   into, preferably with a script *dest/INSTALL to take care
   of installation.  You MUST NOT extract files into any other
   parts of the disk than the tree rooted at *dest.             */

extern "C" __declspec(dllexport)
status_t expand(const entry_ref& archive, entry_ref* dest);
#endif